# service_description.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/packages/sd/config.hpp>`
`#include <saga/saga/packages/sd/service_data.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::impl
namespace | saga::sd
namespace | saga::sd::attributes
## Classes
class | saga::sd::service_description
## Variables
char const *const | saga::sd::attributes::service_description_url = "Url"
char const *const | saga::sd::attributes::service_description_type = "Type"
char const *const | saga::sd::attributes::service_description_uid = "Uid"
char const *const | saga::sd::attributes::service_description_site = "Site"
char const *const | saga::sd::attributes::service_description_name = "Name"
char const *const | saga::sd::attributes::service_description_relatedservices = "RelatedServices"
char const *const | saga::sd::attributes::service_description_vo = "VO"
char const *const | saga::sd::attributes::service_description_implementation_version
char const *const | saga::sd::attributes::service_description_interface_version
char const *const | saga::sd::attributes::service_description_capability = "Capabilities"
char const *const | saga::sd::attributes::service_description_information_provider_url
char const *const | saga::sd::attributes::service_description_implementor = "Implementor"